#
# spec file for package flowgrind
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           flowgrind
Version:        0.8.2
Release:        bp155.1.5
Summary:        Network performance measurement
License:        GPL-2.0-only
Group:          Productivity/Networking/Diagnostic
URL:            https://flowgrind.github.io
Source0:        https://github.com/flowgrind/flowgrind/releases/download/flowgrind-%{version}/flowgrind-%{version}.tar.bz2
Source1:        https://github.com/flowgrind/flowgrind/releases/download/flowgrind-%{version}/flowgrind-%{version}.tar.bz2.asc
# can't find keyring anymore
#Source2:        %{name}.keyring
BuildRequires:  libpcap-devel
BuildRequires:  pkgconfig
BuildRequires:  xmlrpc-c-devel
BuildRequires:  pkgconfig(gsl)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(uuid)

%description
Flowgrind is a tool similar to iperf, netperf to measure throughput and other
metrics for TCP and other protocols. It features some unique characteristics
which are of use when exploring the idiosyncrasies of wireless mesh networks.

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install

%files
%defattr(0644, root, root, 0755)
%license COPYING
%doc AUTHORS NEWS README.md
%attr(0755,-,-) %{_bindir}/flowgrind*
%attr(0755,-,-) %{_sbindir}/flowgrindd
%{_mandir}/man1/flowgrind*

%changelog
* Sun Dec  4 2022 Dirk Müller <dmueller@suse.com>
- update to 0.8.2:
  * Fix version number (flowgrind -version)
  * Fix minor groff issue in manual page
  * Update debian packaging
  * Fix compability with GCC10 (thanks to Jeroen Roovers <jer@gentoo.org>)
  * lower loglevel of delay calculation error to prevent log overflow
  * New website url: https://flowgrind.github.io (Closes #228)
* Thu Jun 11 2020 Martin Pluskal <mpluskal@suse.com>
- Fix building with gcc10
* Fri Mar 24 2017 mpluskal@suse.com
- Update to version 0.8.0:
  * Now uses UUID to uniquely identify daemons with same address
    (unfortunately that makes flowgrind incompatible with earlier
    releases)
  * Includes a lot of bugfixes, to name a few:
    + No cwnd column in output)
    + buffer overlow in daemon with 2048 flows
    + segfault in argparser
    + DEBUG_MSG is not thread-safe
    + Time to string conversion seriously broken
    + -U option expects flow endpoint as argument
    + Traffic Generation: contradicting examples
* Wed Apr 15 2015 jhura@suse.com
- updated to 0.7.5
- added GPG key
- changed URL and source
- README changed to README.md, removed TODO
- cleaned spec file with spec-cleaner
* Thu Nov 28 2013 reddwarf@opensuse.org
- Update to 0.6.1
* Tue Jun  4 2013 reddwarf@opensuse.org
- Update to 0.6.0
* Fri May 25 2012 reddwarf@opensuse.org
- First version (0.5.8)
